import ttkbootstrap as tb
from components.login import login_frame
from components.register import register_frame
from components.shop.create_shop import create_shop_frame

# Backend API URL
API_URL = "http://127.0.0.1:8000"

# Global variable to store the access token
access_token = None


# Function to switch between frames
def switch_frame(frame_name, token=None):
    global access_token
    if token:
        access_token = token

    if frame_name == "login":
        login.tkraise()
    elif frame_name == "register":
        register.tkraise()
    elif frame_name == "create_shop":
        create_shop = create_shop_frame(root, switch_frame, API_URL, access_token)
        create_shop.place(relx=0, rely=0.2, relwidth=1, relheight=0.8)
        create_shop.tkraise()


# Create main window
root = tb.Window(themename="superhero")
root.title("Shopping App")
root.geometry("900x800")

# Create Frames inside the main window
login = login_frame(root, switch_frame, API_URL)
register = register_frame(root, switch_frame, API_URL)
create_shop = create_shop_frame(root, switch_frame, API_URL, access_token)

# Place all frames responsively within the window.
# Adjust relx, rely, relwidth, and relheight as needed for your layout.
for frame in (login, register, create_shop):
    frame.place(relx=0, rely=0.2, relwidth=1, relheight=0.8)

# Show the login frame first
switch_frame("login")

root.mainloop()
